Tickets

Get a list of messages sent to the support chart

Use this method to get a list of the messages related to a specific ticket that were sent to the support chat.

GET
/api/v2/my/tickets/{ticketId}/messages

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

ticketId*string

The ticket identifier.

Query Parameters

limit?integer

Sets the limit

Range1 <= value <= 1000
Default10
offset?integer

Sets the offset

Range0 <= value
Default0
sort_order?string

Sorts the items in ascending or descending order

Default"desc"

Value in

  • "asc"
  • "desc"
sort_by?string

Sorts the items by a specified value

Default"createTime"

Value in

  • "createTime"
  • "id"
  • "text"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/tickets/1/messages?limit=10&offset=0&sort_order=desc" \  -H "accept-language: ja"
{  "total": 1,  "data": [    {      "id": 1,      "text": "Lorem ipsum",      "attachments": [        {          "id": 1,          "createTime": "2022-01-01T00:00:00+00:00",          "updateTime": "2022-01-01T00:00:00+00:00",          "directFrontendUrl": "http://example.com/main-room/",          "originalName": "Test.png",          "feature": {            "id": 1,            "createTime": "2022-01-01T00:00:00+00:00",            "updateTime": "2022-01-01T00:00:00+00:00",            "filename": "filename.png",            "mime": "png",            "size": "2kb"          }        }      ],      "ticketId": 1,      "createTime": "2022-01-01T00:00:00+00:00",      "updateTime": "2022-01-01T00:00:00+00:00",      "isSentByUser": true    }  ]}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}